%define debug_package %{nil}

Name:           jadx
Version:        1.2.0
Release:        1%{?dist}
Summary:        Dex to Java decompiler

License:        Apache 2.0
URL:            https://github.com/skylot/jadx
Source0:        https://github.com/skylot/jadx/releases/download/v%{version}/jadx-%{version}.zip

Requires:       java-headless

%description
Command line and GUI tools for produce Java source code from Android Dex and Apk files

%prep
%autosetup -c

%build

%install
sed -i -e "s|\$APP_HOME/lib|%{_javadir}/%{name}|g" bin/jadx{,-gui}
mkdir -p %{buildroot}/%{_bindir}
cp bin/jadx{,-gui} %{buildroot}/%{_bindir}/
mkdir -p %{buildroot}/%{_javadir}/%{name}
cp lib/* %{buildroot}/%{_javadir}/%{name}/

%files
%{_bindir}/jadx
%{_bindir}/jadx-gui
%{_javadir}/%{name}
%license LICENSE

%changelog
* Wed Sep 18 2019 Carlos Mogas da Silva <r3pek@r3pek.org> - 1.2.0
- Update to 1.2.0

* Wed Sep 18 2019 Carlos Mogas da Silva <r3pek@r3pek.org> - 1.0.0
- Initial release
